#ifndef HISTORIENDISPLAYPAGE_H
#define HISTORIENDISPLAYPAGE_H

#include <QGraphicsWidget>
#include "TextButtonWidget.h"
#include <QTreeWidget>
#include <QTimer>
#include "Guipage.h"

class CZoneTest;
class CModbusRepository;

class CHistorienDisplayPage : public CGuiPage
{
    Q_OBJECT

public:
    CHistorienDisplayPage(QGraphicsWidget *parent = 0);

    CZoneTest *mProgramHandle;
    QGraphicsRectItem *mBackgroundRect;
    CTextButtonWidget *mCloseBtn;
    QTreeWidget *mHistorienDataTree;
    CModbusRepository *mHistorienRepoHandle;
    QTimer *mRefreshTimer;

    virtual void showEvent(QShowEvent *event);
    void HideHistorienPage();
    void resizeEvent(QGraphicsSceneResizeEvent *event);

public slots:
    void ButtonClicked(CTextButtonWidget*);
    void UpdateHistorienTable();
    void RefreshTimerExpired();


};

#endif // HISTORIENDISPLAYPAGE_H
